index:
    path: /
    controller: App\Controller\UserController::index

app_login:
    path: /login
    controller: App\Controller\SecurityController::login

app_logout:
    path: /logout
    controller: App\Controller\SecurityController::logout

home:
    path: /{_locale}/home
    controller: App\Controller\ArticleController::home
    requirements:
        _locale: fr|en|nl|de

dashboard:
    path: /{_locale}/dashboard
    controller: App\Controller\DashboardController::dashboard
    requirements:
        _locale: fr|en|nl|de

rules:
    path: /{_locale}/rules
    controller: App\Controller\RulesController::rules
    requirements:
        _locale: fr|en|nl|de

protectData:
    path: /{_locale}/dataProtect
    controller: App\Controller\RulesController::dataProtect
    requirements:
        _locale: fr|en|nl|de

order:
    path: /{_locale}/order
    controller: App\Controller\OrderController::order
    requirements:
        _locale: fr|en|nl|de

payment:
    path: /{_locale}/payment
    controller: App\Controller\OrderController::payment
    requirements:
        _locale: fr|en|nl|de

updateCommentOrder:
    path: /order/updateComment
    controller: App\Controller\OrderController::updateCommentOrder

updateCommentOrderMovement:
    path: /orderMovement/updateComment/{id}
    controller: App\Controller\OrderMovementController::updateCommentOrderMovement

updateCustomerAdmin:
    path: /order/updateCustomerAdmin
    controller: App\Controller\OrderController::updateCustomerAdmin

checkPromotion:
    path: /promotion/check
    controller: App\Controller\PromotionController::checkPromotion

checkOrderPayment:
    path: /{_locale}/order/payment
    controller: App\Controller\OrderController::paymentOrder
    requirements:
        _locale: fr|en|nl|de

confirmOrder:
    path: /{_locale}/order/confirm/{id}
    controller: App\Controller\OrderController::confirmOrder
    requirements:
        _locale: fr|en|nl|de

webhookMollie:
    path: /{_locale}/webhook/mollie
    controller: App\Controller\OrderController::webhookMollie
    requirements:
        _locale: fr|en|nl|de

addArchivedOrderToCart:
    path: /order/add/archivedOrder/{id}
    controller: App\Controller\OrderController::addArchivedOrderToCart

addMatrixToCart:
    path: /order/add/matrix
    controller: App\Controller\MatrixController::addMatrixToCart

getArchivedOrders:
    path: /order/archived/get
    controller: App\Controller\OrderController::getArchivedOrders

archivedOrder:
    path: /{_locale}/order/archived
    controller: App\Controller\OrderController::archivedOrder
    requirements:
        _locale: fr|en|nl|de

archivedOrderPdf:
    path: /order/archived/pdf/{id}
    controller: App\Controller\PdfController::archivedOrderPdf

updatePassword:
    path: /{_locale}/user/password
    controller: App\Controller\UserController::updatePassword
    requirements:
        _locale: fr|en|nl|de

forgotPassword:
    path: /user/forgotPassword
    controller: App\Controller\UserController::forgotPassword

registration:
    path: /user/registration
    controller: App\Controller\UserController::registration

addOrderArticle:
    path: /order/article/add/{id}
    controller: App\Controller\OrderController::addOrderArticle

deleteOrderMovement:
    path: /orderMovement/delete/{id}
    controller: App\Controller\OrderMovementController::deleteOrderMovement

deleteAllMatrix:
    path: /adminApi/deleteAllMatrix
    controller: App\Controller\MatrixController::deleteAllMatrix

updateOrderMovement:
    path: /orderMovement/update/{id}
    controller: App\Controller\OrderMovementController::updateOrderMovement

badgeNotification:
    path: /badgeNotification
    controller: App\Controller\OrderMovementController::badgeNotification

article:
    path: /{_locale}/article/{id}
    controller: App\Controller\ArticleController::article
    requirements:
        _locale: fr|en|nl|de

technicalData:
    path: /article/technicalData/{id}
    controller: App\Controller\PdfController::technicalData

family:
    path: /{_locale}/family/{id}
    controller: App\Controller\FamilyController::family
    requirements:
        _locale: fr|en|nl|de

subFamily:
    path: /{_locale}/subFamily/{id}
    controller: App\Controller\SubFamilyController::subFamily
    requirements:
        _locale: fr|en|nl|de

category:
    path: /{_locale}/category/{id}
    controller: App\Controller\CategoryController::category
    requirements:
        _locale: fr|en|nl|de

connectApi:
    path: /adminApi/connect
    controller: App\Controller\UserController::connectApi

document:
    path: /{_locale}/document
    controller: App\Controller\DocumentController::document
    requirements:
        _locale: fr|en|nl|de

getInvoice:
    path: /invoice/get
    controller: App\Controller\DocumentController::getInvoice

getDeliveryNote:
    path: /deliveryNote/get
    controller: App\Controller\DocumentController::getDeliveryNote

getMovementMatrix:
    path: /{_locale}/matrix/movements
    controller: App\Controller\MatrixController::getMovementsMatrix
    requirements:
        _locale: fr|en|nl|de

getMovementMatrixDelivery:
    path: /{_locale}/getMovementMatrixDelivery
    controller: App\Controller\MatrixController::getMovementMatrixDelivery
    requirements:
        _locale: fr|en|nl|de

deleteAllDocument:
    path: /adminApi/deleteAllDocument
    controller: App\Controller\DocumentController::deleteAllDocument

deleteCart:
    path: /deleteCart
    controller: App\Controller\OrderController::deleteCart

documentPdf:
    path: /documentPdf/{id}
    controller: App\Controller\PdfController::documentPdf

getOrderHour:
    path: /getOrderHour
    controller: App\Controller\OrderController::getOrderHour


## DELIVERY ADDRESS ##

deliveryAddress:
    path: /{_locale}/deliveryAddress
    controller: App\Controller\DeliveryAddressController::deliveryAddress
    requirements:
        _locale: fr|en|nl|de

getDeliveryAddresses:
    path: /deliveryAddress/get
    controller: App\Controller\DeliveryAddressController::getDeliveryAddresses

addDeliveryAddress:
    path: /deliveryAddress/add
    controller: App\Controller\DeliveryAddressController::addDeliveryAddress

getDeliveryAddress:
    path: /deliveryAddress/get/{id}
    controller: App\Controller\DeliveryAddressController::getDeliveryAddress

deleteDeliveryAddress:
    path: /deliveryAddress/delete
    controller: App\Controller\DeliveryAddressController::deleteDeliveryAddress

updateDeliveryAddress:
    path: /deliveryAddress/update/{id}
    controller: App\Controller\DeliveryAddressController::updateDeliveryAddress


## AGENT ##

switchUser:
    path: /agent/switchUser/{id}
    controller: App\Controller\AgentController::switchUser